Package org.apache.storm.scheduler.resource.strategies.priority

## Class FIFOSchedulingPriorityStrategy

- java.lang.Object
- - org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy
  - - org.apache.storm.scheduler.resource.strategies.priority.FIFOSchedulingPriorityStrategy

- All Implemented Interfaces:
    `ISchedulingPriorityStrategy`

      public class FIFOSchedulingPriorityStrategy
      extends DefaultSchedulingPriorityStrategy

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `protected static class` | `FIFOSchedulingPriorityStrategy.FIFOSimulatedUser` |

    - ### Nested classes/interfaces inherited from class org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy

      `DefaultSchedulingPriorityStrategy.SimulatedUser`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FIFOSchedulingPriorityStrategy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected DefaultSchedulingPriorityStrategy.SimulatedUser` | `getSimulatedUserFor​(User u, ISchedulingState cluster)` |

    - ### Methods inherited from class org.apache.storm.scheduler.resource.strategies.priority.DefaultSchedulingPriorityStrategy

      `getOrderedTopologies`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FIFOSchedulingPriorityStrategy

          public FIFOSchedulingPriorityStrategy()

  - ### Method Detail

    - #### getSimulatedUserFor

          protected DefaultSchedulingPriorityStrategy.SimulatedUser getSimulatedUserFor​(User u,
                                                                                        ISchedulingState cluster)

      Overrides:
        `getSimulatedUserFor` in class `DefaultSchedulingPriorityStrategy`